Zoomdata Version

Deprecated Zoomdata Features

This topic lists the Zoomdata features that have been deprecated since version 2.6, and the version in which that occurred. If there is a new feature that should be used instead, it is also listed.

Product Area Deprecated Feature Zoomdata Release Notes
API HATEOAS links 2.6.2  
ZoomdataAPI versions 1 and 1_1 3.7 Use Zoomdata API version 2 instead.
Connectors and Data Sources Aurora connector 2.6.2 Use the MySQL connector to connect to your Aurora databases instead.
Elasticsearch versions 2 and older 2.6.6 Elastic dropped support for version 2 and older versions. Version 6.x is now installed by default, since Zoomdata 2.6.5.
Hive on Tez connector name 3.7 The Hive on Tez connector name was renamed to Hive.
Hive versions older than 2.1 3.7 Hive versions 2.1 - 3.1 are supported.
MongoDB used for Upload API data storage 2.6.0 PostgreSQL is now used.
MongoDB versions older than 3.4 3.6 MongoDB versions 3.4 - 4.0 are supported.
Spark version 1.5 and 1.6 and older in the Spark SQL connector 2.6.5 Newer versions of Spark are supported.
SparkIt capability 2.6.0  
Teradata versions older than 16.20 3.6 Teradata version 16.20 is supported.
General HTTP automatic redirects 2.6.2  
Server and Client Chart Studio 2.6.3 Use the custom chart CLI.
Chart font changing 2.6.5  
Exporting files in XLS file format 2.6.5  
Requesting "Remember Time Position" for a dashboard when it is saved 2.6.6 The time position is now automatically remembered when a dashboard is saved.
Screenshot microservice use of Firefox 3.2 Headless Google Chrome is now used.
RabbitMQ messaging queues from Zoomdata versions prior to 3.3 3.3 See Version 3.3 Upgrade Information in the Zoomdata version 3 documentation.

Was this topic helpful?